<script>
	import SVG from "@/components/svg.svelte"

	import { tick, createEventDispatcher } from "svelte"
	import { page } from "$app/stores"

	export let value
	
	$: brands = $page.data.brands

	const emit = createEventDispatcher()

	const setBrand = async brand => {
		value = null
		await tick()
		value = brand
		emit("close")
	}
</script>

<template lang="pug">
.list.is-flex.is-flex-direction-column.is-align-items-center.is-justify-content-flex-start
	+if('brands && brands.length')
		+each('brands as brand')
			.list-item.is-flex.is-align-items-center.is-justify-content-flex-start( on:click!='{() => setBrand(brand)}' class:selected='{value?.url === brand.url}' )
				span.brand.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="brands" name='{brand.url}' )
				span.name {brand.name}
				span.checked.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="icons" name="check-rounded" )
</template>

<style lang="scss">
.list {
	&-item {
		width: 100%;
		cursor: pointer;
		.brand {
			width: 4rem;
			height: 4rem;
			margin-right: 1.5rem;
			:global(svg path) {
				fill: $white;
				transition: fill .2s ease-in-out;
			}
		}
		.name {
			font-size: 1.125rem;
			font-weight: 500;
			text-transform: uppercase;
			color: $white;
			transition: color .2s ease-in-out;
		}
		&:not(:last-child) {
			margin-bottom: .5rem;
		}

		&:hover,
		&.selected {
			.brand {
				:global(svg path) {
					fill: $primary;
				}
			}
			.name {
				color: $primary;
			}
		}

		&.selected {
			.checked {
				padding-right: .75rem;
				margin-left: auto;
				:global(svg path) {
					fill: $primary;
				}
			}
		}
	}
}
</style>